GNU bug report logs - #20295
11.88.3; AUCTeX, ESS, Noweb, and "Error running timer `font-latex-jit-lock-force-redisplay': (wrong-number-of-arguments (2 . 2) 3)"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: auctex; Reported by: "Bourgoin, Mario" <Mario.Bourgoin@HIDDEN>; Keywords: moreinfo; Done: Arash Esbati <arash@HIDDEN>; Maintainer for auctex is bug-auctex@HIDDEN.
Added tag(s) moreinfo. Request was from Arash Esbati <arash@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug closed, send any further explanations to 20295 <at> debbugs.gnu.org and "Bourgoin, Mario" <Mario.Bourgoin@HIDDEN> Request was from Arash Esbati <arash@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 20295 <at> debbugs.gnu.org:


Received: (at 20295) by debbugs.gnu.org; 3 Mar 2024 15:41:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 03 10:41:04 2024
Received: from localhost ([127.0.0.1]:40936 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rgnxY-0001MD-Aq
	for submit <at> debbugs.gnu.org; Sun, 03 Mar 2024 10:41:04 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1rgnxW-0001LW-0N
 for 20295 <at> debbugs.gnu.org; Sun, 03 Mar 2024 10:41:02 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1rgnwx-0008IZ-00; Sun, 03 Mar 2024 10:40:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=ohIVx4N0wNsFJgmsE4Bs2uHso/Uu2BpuQVXxi6c/XR4=; b=ZbfIgmTvtSmzN2R9QiAU
 fXX40OsqAro6fDzqefpyx7i42WVg+Fwu0Wx0HB0tBdfKiZ20aCeUE8OFA8IfKB0QRhOwAKgXqEHKG
 mk0DF087thRXCH+N0N6TkB6lqFL+4XTplUs19vDrb4qGF3/lP0DX6KJlWLjkascpkv3sBp8v7ROHl
 nte3GEOFseSvlUEWCshsTPlhsBGRYpL6OpSDxiyn2vqVCLSI/FDajdtU8nOeBfZaeGlvxu+ejiESc
 t4wX1jr88PFu7z6NbU8XIbCq45iKM8S4FqXCp9D5kfBub7rNG5P7r6Y5tT5wjrlz0FumjQljBYcYL
 XZT13Jv06jZDUQ==;
From: Arash Esbati <arash@HIDDEN>
To: Tassilo Horn <tsdh@HIDDEN>
Subject: Re: bug#20295: 11.88.3; AUCTeX, ESS, Noweb, and "Error running
 timer `font-latex-jit-lock-force-redisplay': (wrong-number-of-arguments (2
 . 2) 3)"
In-Reply-To: <87r3rnut73.fsf@HIDDEN> (Tassilo Horn's message of "Tue, 14 Apr
 2015 08:20:32 +0200")
References: <06DCFAE4103E2B43BC5E448DCC4334CC0172DE46@HIDDEN>
 <87y4lzd68q.fsf@HIDDEN>
 <06DCFAE4103E2B43BC5E448DCC4334CC0172E11C@HIDDEN>
 <87r3rnut73.fsf@HIDDEN>
Date: Sun, 03 Mar 2024 16:40:16 +0100
Message-ID: <m21q8rnx27.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20295
Cc: "20295 <at> debbugs.gnu.org" <20295 <at> debbugs.gnu.org>, "Bourgoin,
 Mario" <Mario.Bourgoin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Tassilo Horn <tsdh@HIDDEN> writes:

> "Bourgoin, Mario" <Mario.Bourgoin@HIDDEN> writes:
>
> Hi Mario,
>
>> Indeed, the definition of ` font-latex-jit-lock-force-redisplay' begins as follows:
>> ----
>> (defun font-latex-jit-lock-force-redisplay (buf start end)
>>   "Compatibility for Emacsen not offering `jit-lock-force-redisplay'."
>>   (if (fboundp 'jit-lock-force-redisplay)
>>       (jit-lock-force-redisplay buf start end)
>> ----
>>
>> So it calls the apparently two-argument jit-lock-force-redisplay with
>> three arguments.
>
> Correctly identified, but the above is not the definition of
> `font-latex-jit-lock-force-redisplay' as shipped with 11.88.3.  So it
> seems you have an old auctex/font-latex.el laying around somewhere in
> your `load-path' which overrides the one of 11.88.3.
>
> Do M-x list-load-path-shadows RET to find out.  The version you are
> supposed to use should reside in ~/.emacs.d/elpa/auctex-11.88.3/ (or
> ~/.emacs.d/elpa/auctex-11.88.4/ if you updated to the newest release).

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

More information was requested which was not provided.  I'm closing this
report for now, we can reopen if new input arrives.

Best, Arash




Information forwarded to bug-auctex@HIDDEN:
bug#20295; Package auctex. Full text available.

Message received at 20295 <at> debbugs.gnu.org:


Received: (at 20295) by debbugs.gnu.org; 14 Dec 2015 19:53:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 14 14:53:43 2015
Received: from localhost ([127.0.0.1]:51915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a8ZBn-0002FP-DD
	for submit <at> debbugs.gnu.org; Mon, 14 Dec 2015 14:53:43 -0500
Received: from mx0a-0015b601.pphosted.com ([67.231.145.245]:50527)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <prvs=4790d3d43f=nrath@HIDDEN>)
 id 1a8ZBl-0002FG-Cq
 for 20295 <at> debbugs.gnu.org; Mon, 14 Dec 2015 14:53:42 -0500
Received: from pps.filterd (m0042267.ppops.net [127.0.0.1])
 by mx0a-0015b601.pphosted.com (8.15.0.59/8.15.0.59) with SMTP id
 tBEJqsS6009687; Mon, 14 Dec 2015 11:53:39 -0800
Authentication-Results: trialphaenergy.com;
 spf=softfail smtp.mail=nrath@HIDDEN
Received: from mail.trialphaenergy.com ([207.38.104.72])
 by mx0a-0015b601.pphosted.com with ESMTP id 1yrjkqgjmy-1
 (version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=OK);
 Mon, 14 Dec 2015 11:53:39 -0800
Received: from [10.11.36.125] (10.11.36.125) by mail.trialphaenergy.com
 (10.11.12.204) with Microsoft SMTP Server (TLS) id 8.3.377.0; Mon, 14 Dec
 2015 11:53:38 -0800
Subject: Re: bug#20295: Using Debian?
To: David Kastrup <dak@HIDDEN>
References: <06DCFAE4103E2B43BC5E448DCC4334CC0172DE46@HIDDEN>
 <566F1380.3010608@HIDDEN> <87d1u895f0.fsf@HIDDEN>
From: Nikolaus Rath <nrath@HIDDEN>
Organization: Tri Alpha Energy
Message-ID: <566F1E41.5030801@HIDDEN>
Date: Mon, 14 Dec 2015 11:53:37 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Icedove/38.4.0
MIME-Version: 1.0
In-Reply-To: <87d1u895f0.fsf@HIDDEN>
Content-Type: text/plain; charset="utf-8"; format=flowed
Content-Transfer-Encoding: 7bit
X-Proofpoint-Virus-Version: vendor=nai engine=5800 definitions=8015
 signatures=670673
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 kscore.is_bulkscore=0
 kscore.compositescore=1 compositescore=0.9 suspectscore=0 malwarescore=0
 phishscore=0 bulkscore=0 kscore.is_spamscore=0 rbsscore=0.9 spamscore=0
 clxscore=1011 urlsuspectscore=0.9 adultscore=0 classifier=spam adjust=0
 reason=mlx scancount=1 engine=8.0.1-1507310007 definitions=main-1512140330
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20295
Cc: "20295 <at> debbugs.gnu.org" <20295 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On 12/14/2015 11:49 AM, David Kastrup wrote:
> Nikolaus Rath <nrath@HIDDEN> writes:
>
>> Hello,
>>
>> I have exactly the same problem, and apparently I'm also using the
>> wrong version of font-latex.el. However, M-x list-load-path-shadows
>> doesn't show anything not installed by the Debian package manager (and
>> I also don't have any Emacs related files installed manually anyway):
>
> [...]
>
>> Does this mean the Debian auctex package is broken?
>
> Can you install _any_ Elisp package without having M-x
> list-load-path-shadows RET complain?

No, I believe the files are always installed in two directories. But why 
is that a problem? In this case the files are identical, so why care if 
they shadow each other?

Best,
-Nikolaus





Information forwarded to bug-auctex@HIDDEN:
bug#20295; Package auctex. Full text available.

Message received at 20295 <at> debbugs.gnu.org:


Received: (at 20295) by debbugs.gnu.org; 14 Dec 2015 19:49:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 14 14:49:47 2015
Received: from localhost ([127.0.0.1]:51911 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a8Z7y-00029t-Ud
	for submit <at> debbugs.gnu.org; Mon, 14 Dec 2015 14:49:47 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58262)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <dak@HIDDEN>) id 1a8Z7y-00029i-CQ
 for 20295 <at> debbugs.gnu.org; Mon, 14 Dec 2015 14:49:46 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dak@HIDDEN>) id 1a8Z7s-0006LW-EG
 for 20295 <at> debbugs.gnu.org; Mon, 14 Dec 2015 14:49:41 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37673)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <dak@HIDDEN>)
 id 1a8Z7s-0006LS-B5; Mon, 14 Dec 2015 14:49:40 -0500
Received: from localhost ([127.0.0.1]:51492 helo=lola)
 by fencepost.gnu.org with esmtp (Exim 4.82)
 (envelope-from <dak@HIDDEN>)
 id 1a8Z7r-0001sF-Rc; Mon, 14 Dec 2015 14:49:40 -0500
Received: by lola (Postfix, from userid 1000)
 id 668D6DFF79; Mon, 14 Dec 2015 20:49:39 +0100 (CET)
From: David Kastrup <dak@HIDDEN>
To: Nikolaus Rath <nrath@HIDDEN>
Subject: Re: bug#20295: Using Debian?
References: <06DCFAE4103E2B43BC5E448DCC4334CC0172DE46@HIDDEN>
 <566F1380.3010608@HIDDEN>
Date: Mon, 14 Dec 2015 20:49:39 +0100
In-Reply-To: <566F1380.3010608@HIDDEN> (Nikolaus Rath's message of
 "Mon, 14 Dec 2015 11:07:44 -0800")
Message-ID: <87d1u895f0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 20295
Cc: 20295 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Nikolaus Rath <nrath@HIDDEN> writes:

> Hello,
>
> I have exactly the same problem, and apparently I'm also using the
> wrong version of font-latex.el. However, M-x list-load-path-shadows
> doesn't show anything not installed by the Debian package manager (and
> I also don't have any Emacs related files installed manually anyway):

[...]

> Does this mean the Debian auctex package is broken?

Can you install _any_ Elisp package without having M-x
list-load-path-shadows RET complain?

Last time I looked, it was not AUCTeX specifically but rather the Debian
Elisp packaging system which was completely broken.

-- 
David Kastrup




Information forwarded to bug-auctex@HIDDEN:
bug#20295; Package auctex. Full text available.

Message received at 20295 <at> debbugs.gnu.org:


Received: (at 20295) by debbugs.gnu.org; 14 Dec 2015 19:43:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 14 14:43:53 2015
Received: from localhost ([127.0.0.1]:51901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a8Z2G-00020P-GZ
	for submit <at> debbugs.gnu.org; Mon, 14 Dec 2015 14:43:53 -0500
Received: from mx0a-0015b601.pphosted.com ([67.231.145.245]:34671)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <prvs=4790d3d43f=nrath@HIDDEN>)
 id 1a8YTK-00019A-VF
 for 20295 <at> debbugs.gnu.org; Mon, 14 Dec 2015 14:07:47 -0500
Received: from pps.filterd (m0042267.ppops.net [127.0.0.1])
 by mx0a-0015b601.pphosted.com (8.15.0.59/8.15.0.59) with SMTP id
 tBEJ5o4e031448
 for <20295 <at> debbugs.gnu.org>; Mon, 14 Dec 2015 11:07:45 -0800
Authentication-Results: trialphaenergy.com;
 spf=softfail smtp.mail=nrath@HIDDEN
Received: from mail.trialphaenergy.com ([207.38.104.72])
 by mx0a-0015b601.pphosted.com with ESMTP id 1yrjkqgjbb-1
 (version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=OK)
 for <20295 <at> debbugs.gnu.org>; Mon, 14 Dec 2015 11:07:45 -0800
Received: from [10.11.36.125] (10.11.36.125) by mail.trialphaenergy.com
 (10.11.12.204) with Microsoft SMTP Server (TLS) id 8.3.377.0; Mon, 14 Dec
 2015 11:07:44 -0800
To: <20295 <at> debbugs.gnu.org>
From: Nikolaus Rath <nrath@HIDDEN>
Subject: Using Debian?
Organization: Tri Alpha Energy
Message-ID: <566F1380.3010608@HIDDEN>
Date: Mon, 14 Dec 2015 11:07:44 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Icedove/38.4.0
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 7bit
X-Proofpoint-Virus-Version: vendor=nai engine=5800 definitions=8015
 signatures=670673
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 kscore.is_bulkscore=0
 kscore.compositescore=1 compositescore=0.9 suspectscore=3 malwarescore=0
 phishscore=0 bulkscore=0 kscore.is_spamscore=0 rbsscore=0.9 spamscore=0
 clxscore=1011 urlsuspectscore=0.9 adultscore=0 classifier=spam adjust=0
 reason=mlx scancount=1 engine=8.0.1-1507310007 definitions=main-1512140316
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 20295
X-Mailman-Approved-At: Mon, 14 Dec 2015 14:43:51 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello,

I have exactly the same problem, and apparently I'm also using the wrong version of font-latex.el. However, M-x list-load-path-shadows doesn't show anything not installed by the Debian package manager (and I also don't have any Emacs related files installed manually anyway):

/usr/share/emacs/24.4/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs24/site-lisp/cmake-data/cmake-mode hides /usr/share/emacs/site-lisp/cmake-mode
/usr/share/emacs/site-lisp/rst hides /usr/share/emacs/24.4/lisp/textmodes/rst
/usr/share/emacs24/site-lisp/dictionaries-common/flyspell hides /usr/share/emacs/24.4/lisp/textmodes/flyspell
/usr/share/emacs24/site-lisp/dictionaries-common/ispell hides /usr/share/emacs/24.4/lisp/textmodes/ispell
/usr/share/emacs24/site-lisp/auctex/context hides /usr/share/emacs/site-lisp/auctex/context
/usr/share/emacs24/site-lisp/auctex/tex-jp hides /usr/share/emacs/site-lisp/auctex/tex-jp
/usr/share/emacs24/site-lisp/auctex/font-latex hides /usr/share/emacs/site-lisp/auctex/font-latex
/usr/share/emacs24/site-lisp/auctex/tex-info hides /usr/share/emacs/site-lisp/auctex/tex-info
/usr/share/emacs24/site-lisp/auctex/prv-emacs hides /usr/share/emacs/site-lisp/auctex/prv-emacs
/usr/share/emacs24/site-lisp/auctex/preview hides /usr/share/emacs/site-lisp/auctex/preview
/usr/share/emacs24/site-lisp/auctex/bib-cite hides /usr/share/emacs/site-lisp/auctex/bib-cite
/usr/share/emacs24/site-lisp/auctex/tex-mik hides /usr/share/emacs/site-lisp/auctex/tex-mik
/usr/share/emacs24/site-lisp/auctex/texmathp hides /usr/share/emacs/site-lisp/auctex/texmathp
/usr/share/emacs24/site-lisp/auctex/tex-style hides /usr/share/emacs/site-lisp/auctex/tex-style
/usr/share/emacs24/site-lisp/auctex/latex hides /usr/share/emacs/site-lisp/auctex/latex
/usr/share/emacs24/site-lisp/auctex/context-en hides /usr/share/emacs/site-lisp/auctex/context-en
/usr/share/emacs24/site-lisp/auctex/tex-fold hides /usr/share/emacs/site-lisp/auctex/tex-fold
/usr/share/emacs24/site-lisp/auctex/context-nl hides /usr/share/emacs/site-lisp/auctex/context-nl
/usr/share/emacs24/site-lisp/auctex/multi-prompt hides /usr/share/emacs/site-lisp/auctex/multi-prompt
/usr/share/emacs24/site-lisp/auctex/tex-buf hides /usr/share/emacs/site-lisp/auctex/tex-buf
/usr/share/emacs24/site-lisp/auctex/tex hides /usr/share/emacs/site-lisp/auctex/tex
/usr/share/emacs24/site-lisp/auctex/tex-font hides /usr/share/emacs/site-lisp/auctex/tex-font
/usr/share/emacs24/site-lisp/auctex/toolbar-x hides /usr/share/emacs/site-lisp/auctex/toolbar-x
/usr/share/emacs24/site-lisp/auctex/tex-bar hides /usr/share/emacs/site-lisp/auctex/tex-bar
/usr/share/emacs24/site-lisp/auctex/plain-tex hides /usr/share/emacs/site-lisp/auctex/plain-tex

26 Emacs Lisp load-path shadowings were found


However, the two listed `font-latex` files are actually the same file (one is a symlink), and Debian claims it has been shipped by AuCTeX:

$ dpkg -S /usr/share/emacs/site-lisp/auctex/font-latex.el
auctex: /usr/share/emacs/site-lisp/auctex/font-latex.el

$ apt-cache show auctex | grep Version
Version: 11.87-3+deb8u1

$ head -10 /usr/share/emacs/site-lisp/auctex/font-latex.el
;;; font-latex.el --- LaTeX fontification for Font Lock mode.

;; Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
;;   2005, 2006, 2007, 2008, 2009 Free Software Foundation, Inc.

;; Authors:    Peter S. Galbraith <psg@HIDDEN>
;;             Simon Marshall <Simon.Marshall@HIDDEN>
;; Maintainer: auctex-devel@HIDDEN
;; Created:    06 July 1996
;; Keywords:   tex, wp, faces


Does this mean the Debian auctex package is broken?


Best,
-Nikolaus




Information forwarded to bug-auctex@HIDDEN:
bug#20295; Package auctex. Full text available.

Message received at 20295 <at> debbugs.gnu.org:


Received: (at 20295) by debbugs.gnu.org; 14 Apr 2015 06:20:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 14 02:20:39 2015
Received: from localhost ([127.0.0.1]:55452 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YhuD8-00067e-UU
	for submit <at> debbugs.gnu.org; Tue, 14 Apr 2015 02:20:39 -0400
Received: from deliver.uni-koblenz.de ([141.26.64.15]:52363)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tsdh@HIDDEN>) id 1YhuD4-00067S-Vf
 for 20295 <at> debbugs.gnu.org; Tue, 14 Apr 2015 02:20:36 -0400
Received: from thinkpad-t440p (dhcp152.uni-koblenz.de [141.26.71.152])
 (using TLSv1 with cipher AES128-SHA (128/128 bits))
 (No client certificate requested)
 by deliver.uni-koblenz.de (Postfix) with ESMTPSA id 2AB131A8527;
 Tue, 14 Apr 2015 08:20:33 +0200 (CEST)
From: Tassilo Horn <tsdh@HIDDEN>
To: "Bourgoin\, Mario" <Mario.Bourgoin@HIDDEN>
Subject: Re: bug#20295: 11.88.3; AUCTeX, ESS, Noweb, and "Error running timer
 `font-latex-jit-lock-force-redisplay': (wrong-number-of-arguments (2 . 2) 3)"
References: <06DCFAE4103E2B43BC5E448DCC4334CC0172DE46@HIDDEN>
 <87y4lzd68q.fsf@HIDDEN>
 <06DCFAE4103E2B43BC5E448DCC4334CC0172E11C@HIDDEN>
Date: Tue, 14 Apr 2015 08:20:32 +0200
In-Reply-To: <06DCFAE4103E2B43BC5E448DCC4334CC0172E11C@HIDDEN>
 (Mario Bourgoin's message of "Mon, 13 Apr 2015 19:14:30 +0000")
Message-ID: <87r3rnut73.fsf@HIDDEN>
User-Agent: Gnus/5.130012 (Ma Gnus v0.12) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 20295
Cc: "20295 <at> debbugs.gnu.org" <20295 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

"Bourgoin, Mario" <Mario.Bourgoin@HIDDEN> writes:

Hi Mario,

> Indeed, the definition of ` font-latex-jit-lock-force-redisplay' begins as follows:
> ----
> (defun font-latex-jit-lock-force-redisplay (buf start end)
>   "Compatibility for Emacsen not offering `jit-lock-force-redisplay'."
>   (if (fboundp 'jit-lock-force-redisplay)
>       (jit-lock-force-redisplay buf start end)
> ----
>
> So it calls the apparently two-argument jit-lock-force-redisplay with
> three arguments.

Correctly identified, but the above is not the definition of
`font-latex-jit-lock-force-redisplay' as shipped with 11.88.3.  So it
seems you have an old auctex/font-latex.el laying around somewhere in
your `load-path' which overrides the one of 11.88.3.

Do M-x list-load-path-shadows RET to find out.  The version you are
supposed to use should reside in ~/.emacs.d/elpa/auctex-11.88.3/ (or
~/.emacs.d/elpa/auctex-11.88.4/ if you updated to the newest release).

Bye,
Tassilo




Information forwarded to bug-auctex@HIDDEN:
bug#20295; Package auctex. Full text available.

Message received at 20295 <at> debbugs.gnu.org:


Received: (at 20295) by debbugs.gnu.org; 13 Apr 2015 19:14:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 13 15:14:44 2015
Received: from localhost ([127.0.0.1]:55191 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Yhjoi-0002bG-8e
	for submit <at> debbugs.gnu.org; Mon, 13 Apr 2015 15:14:44 -0400
Received: from mailuogwdur.emc.com ([128.221.224.79]:33979)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <Mario.Bourgoin@HIDDEN>) id 1Yhjof-0002b2-Pa
 for 20295 <at> debbugs.gnu.org; Mon, 13 Apr 2015 15:14:42 -0400
Received: from maildlpprd56.lss.emc.com (maildlpprd56.lss.emc.com
 [10.106.48.160])
 by mailuogwprd54.lss.emc.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.0) with
 ESMTP id t3DJEXJv024725
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO);
 Mon, 13 Apr 2015 15:14:34 -0400
X-DKIM: OpenDKIM Filter v2.4.3 mailuogwprd54.lss.emc.com t3DJEXJv024725
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=emc.com; s=jan2013;
 t=1428952475; bh=scvp7VHdCyMxoQU++he2+3WmCRQ=;
 h=From:To:CC:Subject:Date:Message-ID:References:In-Reply-To:
 Content-Type:Content-Transfer-Encoding:MIME-Version;
 b=oZ1YtmpAuArNolaV1plm7su5haZHyW7e4x1JRHlOYZsdFmAtcmi+3JdVWzJX93KL+
 AnEBrYJI2k2i1HjUVkIS0WHJBKddEMaOuXbB7Svh44IT76C7lfUwErKgwB2nCQnqp6
 cLj3/mUu5Dqf+oMCjyRo0xGAjABVO4EIglfFoN6o=
X-DKIM: OpenDKIM Filter v2.4.3 mailuogwprd54.lss.emc.com t3DJEXJv024725
Received: from mailusrhubprd01.lss.emc.com (mailusrhubprd01.lss.emc.com
 [10.253.24.19]) by maildlpprd56.lss.emc.com (RSA Interceptor);
 Mon, 13 Apr 2015 15:13:53 -0400
Received: from mxhub07.corp.emc.com (mxhub07.corp.emc.com [128.222.70.204])
 by mailusrhubprd01.lss.emc.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.0) with
 ESMTP id t3DJEUIx005622
 (version=TLSv1 cipher=AES128-SHA bits=128 verify=FAIL);
 Mon, 13 Apr 2015 15:14:30 -0400
Received: from MXHUB203.corp.emc.com (10.253.68.29) by mxhub07.corp.emc.com
 (128.222.70.204) with Microsoft SMTP Server (TLS) id 8.3.327.1; Mon, 13 Apr
 2015 15:14:30 -0400
Received: from MX107CL01.corp.emc.com ([169.254.7.39]) by
 MXHUB203.corp.emc.com ([10.253.68.29]) with mapi id 14.03.0224.002; Mon, 13
 Apr 2015 15:14:30 -0400
From: "Bourgoin, Mario" <Mario.Bourgoin@HIDDEN>
To: Tassilo Horn <tsdh@HIDDEN>
Subject: RE: bug#20295: 11.88.3; AUCTeX, ESS, Noweb, and "Error running
 timer `font-latex-jit-lock-force-redisplay': (wrong-number-of-arguments (2 .
 2) 3)"
Thread-Topic: bug#20295: 11.88.3; AUCTeX, ESS, Noweb, and "Error running
 timer `font-latex-jit-lock-force-redisplay': (wrong-number-of-arguments (2 .
 2) 3)"
Thread-Index: AdBzsUH0sCDWOLJnS3ahMooZ23AJwgAI9qUbAJGVXrA=
Date: Mon, 13 Apr 2015 19:14:30 +0000
Message-ID: <06DCFAE4103E2B43BC5E448DCC4334CC0172E11C@HIDDEN>
References: <06DCFAE4103E2B43BC5E448DCC4334CC0172DE46@HIDDEN>
 <87y4lzd68q.fsf@HIDDEN>
In-Reply-To: <87y4lzd68q.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [10.250.34.196]
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Sentrion-Hostname: mailusrhubprd01.lss.emc.com
X-RSA-Classifications: DLM_1, public
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20295
Cc: "20295 <at> debbugs.gnu.org" <20295 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi Tassilo,

Thank you for answering.

> What does `C-h f font-latex-jit-lock-force-redisplay' show?

I get
----
font-latex-jit-lock-force-redisplay is a compiled Lisp function in `font-la=
tex.el'.

(font-latex-jit-lock-force-redisplay BUF START END)

Compatibility for Emacsen not offering `jit-lock-force-redisplay'.
----
The file `font-latex.el' has the following in its header:
;; Authors:    Peter S. Galbraith <psg@HIDDEN>
;;             Simon Marshall <Simon.Marshall@HIDDEN>
;; Maintainer: auctex-devel@HIDDEN
;; Created:    06 July 1996
;; Keywords:   tex, wp, faces

The error's back trace when debug-on-error is t shows the following:
----
Debugger entered--Lisp error: (wrong-number-of-arguments (2 . 2) 3)
  jit-lock-force-redisplay(#<buffer foo.Rnw> 48 60)
  font-latex-jit-lock-force-redisplay(#<buffer foo.Rnw> 48 60)
  apply(font-latex-jit-lock-force-redisplay (#<buffer foo.Rnw> 48 60))
  byte-code("r\301=08\302H=08\303H\"\210)\301\207" [timer apply 5 6] 4)
  timer-event-handler([t 21804 4831 916000 nil font-latex-jit-lock-force-re=
display (#<buffer foo.Rnw> 48 60) nil 0])
  read-string("Label: " "sec:foo")
  byte-code("\306=08	\"\211=1AA@=1B\307\n8=1C\310\311!=1D\306
@	\"=1E9\312\211=1E:=1E;\312\211=1E<=1E=3D\312\211=1E>=1E?\312=1E@\313\n8\2=
04:
----

And `C-h f jit-lock-force-redisplay' reveals:
----
jit-lock-force-redisplay is a compiled Lisp function in `jit-lock.el'.

(jit-lock-force-redisplay START END)

Force the display engine to re-render START's buffer from START to END.
This applies to the buffer associated with marker START.
----
The file `jit-lock.el' gas the following in its header:
;; Author: Gerd Moellmann <gerd@HIDDEN>
;; Keywords: faces files
;; Package: emacs

;; This file is part of GNU Emacs.

Indeed, the definition of ` font-latex-jit-lock-force-redisplay' begins as =
follows:
----
(defun font-latex-jit-lock-force-redisplay (buf start end)
  "Compatibility for Emacsen not offering `jit-lock-force-redisplay'."
  (if (fboundp 'jit-lock-force-redisplay)
      (jit-lock-force-redisplay buf start end)
----
So it calls the apparently two-argument jit-lock-force-redisplay with three=
 arguments.

Mario Bourgoin
Senior Data Scientist - Hopkinton
EMC CTD Symmetrix uCode
(508) 249-1297 Direct

-----Original Message-----
From: Tassilo Horn [mailto:tsdh@HIDDEN]=20
Sent: Friday, April 10, 2015 5:27 PM
To: Bourgoin, Mario
Cc: 20295 <at> debbugs.gnu.org
Subject: Re: bug#20295: 11.88.3; AUCTeX, ESS, Noweb, and "Error running tim=
er `font-latex-jit-lock-force-redisplay': (wrong-number-of-arguments (2 . 2=
) 3)"

"Bourgoin, Mario" <Mario.Bourgoin@HIDDEN> writes:

Hi Mario,

> Error running timer `font-latex-jit-lock-force-redisplay':
> (wrong-number-of-arguments (2 . 2) 3)
>
> Package: 11.88.3

The error says that `font-latex-jit-lock-force-redisplay' was called with a=
 wrong number of arguments, and that 3 arguments where given.  But three is=
 the right number of arguments!

What does `C-h f font-latex-jit-lock-force-redisplay' show?  I think you ha=
ve a redefinition of that function with a different number of args laying a=
round somewhere.

Bye,
Tassilo




Information forwarded to bug-auctex@HIDDEN:
bug#20295; Package auctex. Full text available.

Message received at 20295 <at> debbugs.gnu.org:


Received: (at 20295) by debbugs.gnu.org; 10 Apr 2015 21:27:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 10 17:27:08 2015
Received: from localhost ([127.0.0.1]:52733 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YggSC-0004Cp-CT
	for submit <at> debbugs.gnu.org; Fri, 10 Apr 2015 17:27:08 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:54189)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tsdh@HIDDEN>) id 1YggS8-0004Cf-R7
 for 20295 <at> debbugs.gnu.org; Fri, 10 Apr 2015 17:27:05 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 9541B20385
 for <20295 <at> debbugs.gnu.org>; Fri, 10 Apr 2015 17:27:00 -0400 (EDT)
Received: from frontend1 ([10.202.2.160])
 by compute2.internal (MEProxy); Fri, 10 Apr 2015 17:27:04 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-sasl-enc
 :x-sasl-enc; s=smtpout; bh=cBsKmzr41jooVlUsS1er8DaC514=; b=Asxpg
 iVHj87BWFyUWUZNOjOGmYsfoVdBBMVGzVo+owPDozkvq+8goIs68eS/J9DB3Y5M7
 LsFvsYHJWGI+Xfj3iM51n1ymaZ7kMKl+ToWR31ZiK+fDpzp4+FCs0fWpF2arTDjA
 /kKgN2HIaWwEZ4MiWaXtC0dWU0z1IckXkg6s9s=
X-Sasl-enc: AG9lXUIZcte/RF86n86a692VCXCJeHlQUPaNMFvTYgLm 1428701224
Received: from thinkpad-t440p (unknown [2.163.240.161])
 by mail.messagingengine.com (Postfix) with ESMTPA id B47A9C0001D;
 Fri, 10 Apr 2015 17:27:03 -0400 (EDT)
From: Tassilo Horn <tsdh@HIDDEN>
To: "Bourgoin\, Mario" <Mario.Bourgoin@HIDDEN>
Subject: Re: bug#20295: 11.88.3; AUCTeX, ESS, Noweb, and "Error running timer
 `font-latex-jit-lock-force-redisplay': (wrong-number-of-arguments (2 . 2) 3)"
References: <06DCFAE4103E2B43BC5E448DCC4334CC0172DE46@HIDDEN>
Date: Fri, 10 Apr 2015 23:27:01 +0200
In-Reply-To: <06DCFAE4103E2B43BC5E448DCC4334CC0172DE46@HIDDEN>
 (Mario Bourgoin's message of "Fri, 10 Apr 2015 17:13:38 +0000")
Message-ID: <87y4lzd68q.fsf@HIDDEN>
User-Agent: Gnus/5.130012 (Ma Gnus v0.12) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 20295
Cc: 20295 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

"Bourgoin, Mario" <Mario.Bourgoin@HIDDEN> writes:

Hi Mario,

> Error running timer `font-latex-jit-lock-force-redisplay':
> (wrong-number-of-arguments (2 . 2) 3)
>
> Package: 11.88.3

The error says that `font-latex-jit-lock-force-redisplay' was called
with a wrong number of arguments, and that 3 arguments where given.  But
three is the right number of arguments!

What does `C-h f font-latex-jit-lock-force-redisplay' show?  I think you
have a redefinition of that function with a different number of args
laying around somewhere.

Bye,
Tassilo




Information forwarded to bug-auctex@HIDDEN:
bug#20295; Package auctex. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Apr 2015 17:48:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 10 13:48:59 2015
Received: from localhost ([127.0.0.1]:52648 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ygd33-0006u4-OK
	for submit <at> debbugs.gnu.org; Fri, 10 Apr 2015 13:48:59 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57126)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <Mario.Bourgoin@HIDDEN>) id 1YgcVR-00060i-Rz
 for submit <at> debbugs.gnu.org; Fri, 10 Apr 2015 13:14:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Mario.Bourgoin@HIDDEN>) id 1YgcVK-0001Uh-QO
 for submit <at> debbugs.gnu.org; Fri, 10 Apr 2015 13:14:08 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34810)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Mario.Bourgoin@HIDDEN>) id 1YgcVK-0001UO-Nv
 for submit <at> debbugs.gnu.org; Fri, 10 Apr 2015 13:14:06 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42382)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Mario.Bourgoin@HIDDEN>) id 1YgcVI-0001EN-QE
 for bug-auctex@HIDDEN; Fri, 10 Apr 2015 13:14:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Mario.Bourgoin@HIDDEN>) id 1YgcVF-0001H7-Aa
 for bug-auctex@HIDDEN; Fri, 10 Apr 2015 13:14:04 -0400
Received: from mailuogwdur.emc.com ([128.221.224.79]:34241)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Mario.Bourgoin@HIDDEN>) id 1YgcVF-0001El-45
 for bug-auctex@HIDDEN; Fri, 10 Apr 2015 13:14:01 -0400
Received: from maildlpprd53.lss.emc.com (maildlpprd53.lss.emc.com
 [10.106.48.157])
 by mailuogwprd51.lss.emc.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.0) with
 ESMTP id t3AHDuJe027673
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO)
 for <bug-auctex@HIDDEN>; Fri, 10 Apr 2015 13:13:58 -0400
X-DKIM: OpenDKIM Filter v2.4.3 mailuogwprd51.lss.emc.com t3AHDuJe027673
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=emc.com; s=jan2013;
 t=1428686038; bh=GzIvs72amGXOkZrUFusL/54clHE=;
 h=From:To:Subject:Date:Message-ID:Content-Type:MIME-Version;
 b=XS/imdXmeD6LxlItR3SLebWRYxcWWC9LbCJ5zheoT6wnLgdMQNFp59Xvyvn7s24HB
 RdvwmmneqOmLrPNRzuowgxUjvaPGvf6a9PqWEIg+74tz1ayXRf/SeUUjjZoHgrrdUc
 1aAXa61E/47dztClNDi6LjhvRJgtiXck0BoG6iLA=
X-DKIM: OpenDKIM Filter v2.4.3 mailuogwprd51.lss.emc.com t3AHDuJe027673
Received: from mailusrhubprd04.lss.emc.com (mailusrhubprd04.lss.emc.com
 [10.253.24.22]) by maildlpprd53.lss.emc.com (RSA Interceptor) for
 <bug-auctex@HIDDEN>; Fri, 10 Apr 2015 13:11:36 -0400
Received: from mxhub06.corp.emc.com (mxhub06.corp.emc.com [128.222.70.203])
 by mailusrhubprd04.lss.emc.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.0) with
 ESMTP id t3AHDddU009831
 (version=TLSv1 cipher=AES128-SHA bits=128 verify=FAIL)
 for <bug-auctex@HIDDEN>; Fri, 10 Apr 2015 13:13:39 -0400
Received: from MXHUB105.corp.emc.com (10.253.50.22) by mxhub06.corp.emc.com
 (128.222.70.203) with Microsoft SMTP Server (TLS) id 8.3.327.1; Fri, 10 Apr
 2015 13:13:39 -0400
Received: from MX107CL01.corp.emc.com ([169.254.7.197]) by
 MXHUB105.corp.emc.com ([10.253.50.22]) with mapi id 14.03.0224.002; Fri, 10
 Apr 2015 13:13:38 -0400
From: "Bourgoin, Mario" <Mario.Bourgoin@HIDDEN>
To: "bug-auctex@HIDDEN" <bug-auctex@HIDDEN>
Subject: 11.88.3; AUCTeX, ESS, Noweb, and "Error running timer
 `font-latex-jit-lock-force-redisplay': (wrong-number-of-arguments (2 . 2) 3)"
Thread-Topic: 11.88.3; AUCTeX, ESS, Noweb, and "Error running timer
 `font-latex-jit-lock-force-redisplay': (wrong-number-of-arguments (2 . 2) 3)"
Thread-Index: AdBzsUH0sCDWOLJnS3ahMooZ23AJwg==
Date: Fri, 10 Apr 2015 17:13:38 +0000
Message-ID: <06DCFAE4103E2B43BC5E448DCC4334CC0172DE46@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [10.238.7.6]
Content-Type: multipart/alternative;
 boundary="_000_06DCFAE4103E2B43BC5E448DCC4334CC0172DE46MX107CL01corpem_"
MIME-Version: 1.0
X-Sentrion-Hostname: mailusrhubprd04.lss.emc.com
X-RSA-Classifications: DLM_1, public
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 10 Apr 2015 13:48:55 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--_000_06DCFAE4103E2B43BC5E448DCC4334CC0172DE46MX107CL01corpem_
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

Remember to cover the basics, that is, what you expected to happen and
what in fact did happen.

Be sure to consult the FAQ section in the manual before submitting
a bug report.  In addition check if the bug is reproducable with an
up-to-date version of AUCTeX.  So please upgrade to the version
available from http://www.gnu.org/software/auctex/ if your
installation is older than the one available from the web site.

If the bug is triggered by a specific (La)TeX file, you should try
to produce a minimal sample file showing the problem and include it
in your report.

Your bug report will be posted to the AUCTeX bug reporting list.
------------------------------------------------------------------------

The effect is to generate the error message:
  Error running timer `font-latex-jit-lock-force-redisplay': (wrong-number-=
of-arguments (2 . 2) 3)
or drop into the debugger with debug-on-error set to t.

Contents of file foo.Rnw:
\documentclass[12pt]{article}
\begin{document}
\end{document}
%%% Local Variables:
%%% eval: (ess-noweb-mode t)
%%% End:

Actions:
Position the cursor anywhere in the file.
Run the command "LaTeX-section".
Type a level or no level at all, and press enter.
Type a title or no title at all, and press enter.

Note: The "Rnw" file type makes the major mode be LaTeX and adds the polymo=
de for Rnw minor mode.  The motivation for turning on the ess-noweb-mode mi=
nor mode is to obtain the default bindings for knitr-ing and then pdflatex-=
ing the document.

Emacs  : GNU Emacs 24.4.1 (i686-pc-mingw32)
of 2014-10-24 on LEG570
Package: 11.88.3

current state:
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
(setq
AUCTeX-date "2015-03-22"
window-system 'w32
LaTeX-version "2e"
TeX-style-path '("~/.emacs.d/auctex" "c:/Users/bourgm1/.emacs.d/elpa/auctex=
-11.88.3/style"
                                  "c:/Users/bourgm1/.emacs.d/auctex/auto" "=
c:/Users/bourgm1/.emacs.d/auctex/style" "auto" "style")
TeX-auto-save nil
TeX-parse-self nil
TeX-master t
TeX-command-list '(("TeX" "%(PDF)%(tex) %`%S%(PDFout)%(mode)%' %t" TeX-run-=
TeX nil
                                     (plain-tex-mode ams-tex-mode texinfo-m=
ode) :help "Run plain TeX")
                                    ("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX=
 nil (latex-mode doctex-mode) :help "Run LaTeX")
                                    ("Makeinfo" "makeinfo %t" TeX-run-compi=
le nil (texinfo-mode) :help
                                     "Run Makeinfo with Info output")
                                    ("Makeinfo HTML" "makeinfo --html %t" T=
eX-run-compile nil (texinfo-mode) :help
                                     "Run Makeinfo with HTML output")
                                    ("AmSTeX" "%(PDF)amstex %`%S%(PDFout)%(=
mode)%' %t" TeX-run-TeX nil (ams-tex-mode) :help
                                     "Run AMSTeX")
                                    ("ConTeXt" "texexec --once --texutil %(=
execopts)%t" TeX-run-TeX nil (context-mode) :help
                                     "Run ConTeXt once")
                                    ("ConTeXt Full" "texexec %(execopts)%t"=
 TeX-run-TeX nil (context-mode) :help
                                     "Run ConTeXt until completion")
                                    ("BibTeX" "bibtex %s" TeX-run-BibTeX ni=
l t :help "Run BibTeX")
                                    ("Biber" "biber %s" TeX-run-Biber nil t=
 :help "Run Biber")
                                    ("View" "%V" TeX-run-discard-or-functio=
n t t :help "Run Viewer")
                                    ("Print" "%p" TeX-run-command t t :help=
 "Print the file")
                                    ("Queue" "%q" TeX-run-background nil t =
:help "View the printer queue" :visible
                                     TeX-queue-command)
                                    ("File" "%(o?)dvips %d -o %f " TeX-run-=
command t t :help "Generate PostScript file")
                                    ("Index" "makeindex %s" TeX-run-command=
 nil t :help "Create index file")
                                    ("Check" "lacheck %s" TeX-run-compile n=
il (latex-mode) :help
                                     "Check LaTeX file for correctness")
                                    ("Spell" "(TeX-ispell-document \"\")" T=
eX-run-function nil t :help "Spell-check the document")
                                    ("Clean" "TeX-clean" TeX-run-function n=
il t :help "Delete generated intermediate files")
                                    ("Clean All" "(TeX-clean t)" TeX-run-fu=
nction nil t :help
                                     "Delete generated intermediate and out=
put files")
                                    ("Other" "" TeX-run-command t t :help "=
Run an arbitrary command"))
)


--_000_06DCFAE4103E2B43BC5E448DCC4334CC0172DE46MX107CL01corpem_
Content-Type: text/html; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

<html xmlns:v=3D"urn:schemas-microsoft-com:vml" xmlns:o=3D"urn:schemas-micr=
osoft-com:office:office" xmlns:w=3D"urn:schemas-microsoft-com:office:word" =
xmlns:m=3D"http://schemas.microsoft.com/office/2004/12/omml" xmlns=3D"http:=
//www.w3.org/TR/REC-html40">
<head>
<meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3Dus-ascii"=
>
<meta name=3D"Generator" content=3D"Microsoft Word 14 (filtered medium)">
<style><!--
/* Font Definitions */
@font-face
	{font-family:Calibri;
	panose-1:2 15 5 2 2 2 4 3 2 4;}
/* Style Definitions */
p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0in;
	margin-bottom:.0001pt;
	font-size:11.0pt;
	font-family:"Calibri","sans-serif";}
a:link, span.MsoHyperlink
	{mso-style-priority:99;
	color:blue;
	text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{mso-style-priority:99;
	color:purple;
	text-decoration:underline;}
span.EmailStyle17
	{mso-style-type:personal-compose;
	font-family:"Calibri","sans-serif";
	color:windowtext;}
.MsoChpDefault
	{mso-style-type:export-only;
	font-family:"Calibri","sans-serif";}
@page WordSection1
	{size:8.5in 11.0in;
	margin:1.0in 1.0in 1.0in 1.0in;}
div.WordSection1
	{page:WordSection1;}
--></style><!--[if gte mso 9]><xml>
<o:shapedefaults v:ext=3D"edit" spidmax=3D"1026" />
</xml><![endif]--><!--[if gte mso 9]><xml>
<o:shapelayout v:ext=3D"edit">
<o:idmap v:ext=3D"edit" data=3D"1" />
</o:shapelayout></xml><![endif]-->
</head>
<body lang=3D"EN-US" link=3D"blue" vlink=3D"purple">
<div class=3D"WordSection1">
<p class=3D"MsoNormal">Remember to cover the basics, that is, what you expe=
cted to happen and<o:p></o:p></p>
<p class=3D"MsoNormal">what in fact did happen.<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Be sure to consult the FAQ section in the manual bef=
ore submitting<o:p></o:p></p>
<p class=3D"MsoNormal">a bug report.&nbsp; In addition check if the bug is =
reproducable with an<o:p></o:p></p>
<p class=3D"MsoNormal">up-to-date version of AUCTeX.&nbsp; So please upgrad=
e to the version<o:p></o:p></p>
<p class=3D"MsoNormal">available from http://www.gnu.org/software/auctex/ i=
f your<o:p></o:p></p>
<p class=3D"MsoNormal">installation is older than the one available from th=
e web site.<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">If the bug is triggered by a specific (La)TeX file, =
you should try<o:p></o:p></p>
<p class=3D"MsoNormal">to produce a minimal sample file showing the problem=
 and include it<o:p></o:p></p>
<p class=3D"MsoNormal">in your report.<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Your bug report will be posted to the AUCTeX bug rep=
orting list.<o:p></o:p></p>
<p class=3D"MsoNormal">----------------------------------------------------=
--------------------<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">The effect is to generate the error message:<o:p></o=
:p></p>
<p class=3D"MsoNormal">&nbsp; Error running timer `font-latex-jit-lock-forc=
e-redisplay': (wrong-number-of-arguments (2 . 2) 3)<o:p></o:p></p>
<p class=3D"MsoNormal">or drop into the debugger with debug-on-error set to=
 t.<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Contents of file foo.Rnw:<o:p></o:p></p>
<p class=3D"MsoNormal">\documentclass[12pt]{article}<o:p></o:p></p>
<p class=3D"MsoNormal">\begin{document}<o:p></o:p></p>
<p class=3D"MsoNormal">\end{document}<o:p></o:p></p>
<p class=3D"MsoNormal">%%% Local Variables:<o:p></o:p></p>
<p class=3D"MsoNormal">%%% eval: (ess-noweb-mode t)<o:p></o:p></p>
<p class=3D"MsoNormal">%%% End:<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Actions:<o:p></o:p></p>
<p class=3D"MsoNormal">Position the cursor anywhere in the file.<o:p></o:p>=
</p>
<p class=3D"MsoNormal">Run the command &quot;LaTeX-section&quot;.<o:p></o:p=
></p>
<p class=3D"MsoNormal">Type a level or no level at all, and press enter.<o:=
p></o:p></p>
<p class=3D"MsoNormal">Type a title or no title at all, and press enter.<o:=
p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Note: The &quot;Rnw&quot; file type makes the major =
mode be LaTeX and adds the polymode for Rnw minor mode.&nbsp; The motivatio=
n for turning on the ess-noweb-mode minor mode is to obtain the default bin=
dings for knitr-ing and then pdflatex-ing the document.<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Emacs&nbsp; : GNU Emacs 24.4.1 (i686-pc-mingw32)<o:p=
></o:p></p>
<p class=3D"MsoNormal">of 2014-10-24 on LEG570<o:p></o:p></p>
<p class=3D"MsoNormal">Package: 11.88.3<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">current state:<o:p></o:p></p>
<p class=3D"MsoNormal">=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D<o:p></o:p=
></p>
<p class=3D"MsoNormal">(setq<o:p></o:p></p>
<p class=3D"MsoNormal">AUCTeX-date &quot;2015-03-22&quot;<o:p></o:p></p>
<p class=3D"MsoNormal">window-system 'w32<o:p></o:p></p>
<p class=3D"MsoNormal">LaTeX-version &quot;2e&quot;<o:p></o:p></p>
<p class=3D"MsoNormal">TeX-style-path '(&quot;~/.emacs.d/auctex&quot; &quot=
;c:/Users/bourgm1/.emacs.d/elpa/auctex-11.88.3/style&quot;<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp; &quot;c:=
/Users/bourgm1/.emacs.d/auctex/auto&quot; &quot;c:/Users/bourgm1/.emacs.d/a=
uctex/style&quot; &quot;auto&quot; &quot;style&quot;)<o:p></o:p></p>
<p class=3D"MsoNormal">TeX-auto-save nil<o:p></o:p></p>
<p class=3D"MsoNormal">TeX-parse-self nil<o:p></o:p></p>
<p class=3D"MsoNormal">TeX-master t<o:p></o:p></p>
<p class=3D"MsoNormal">TeX-command-list '((&quot;TeX&quot; &quot;%(PDF)%(te=
x) %`%S%(PDFout)%(mode)%' %t&quot; TeX-run-TeX nil<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &n=
bsp;&nbsp;(plain-tex-mode ams-tex-mode texinfo-mode) :help &quot;Run plain =
TeX&quot;)<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;LaTeX&quot; &quot;%`%l%(mode)%' %t&quot; TeX-run-TeX nil (latex-=
mode doctex-mode) :help &quot;Run LaTeX&quot;)<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;Makeinfo&quot; &quot;makeinfo %t&quot; TeX-run-compile nil (texi=
nfo-mode) :help<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp;&nbsp; &quot;Run Makeinfo with Info output&quot;)<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;Makeinfo HTML&quot; &quot;makeinfo --html %t&quot; TeX-run-compi=
le nil (texinfo-mode) :help<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp;&nbsp; &quot;Run Makeinfo with HTML output&quot;)<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;AmSTeX&quot; &quot;%(PDF)amstex %`%S%(PDFout)%(mode)%' %t&quot; =
TeX-run-TeX nil (ams-tex-mode) :help<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp;&nbsp; &quot;Run AMSTeX&quot;)<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;ConTeXt&quot; &quot;texexec --once --texutil %(execopts)%t&quot;=
 TeX-run-TeX nil (context-mode) :help<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp;&nbsp; &quot;Run ConTeXt once&quot;)<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;ConTeXt Full&quot; &quot;texexec %(execopts)%t&quot; TeX-run-TeX=
 nil (context-mode) :help<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp;&nbsp; &quot;Run ConTeXt until completion&quot;)<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;BibTeX&quot; &quot;bibtex %s&quot; TeX-run-BibTeX nil t :help &q=
uot;Run BibTeX&quot;)<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;Biber&quot; &quot;biber %s&quot; TeX-run-Biber nil t :help &quot=
;Run Biber&quot;)<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;View&quot; &quot;%V&quot; TeX-run-discard-or-function t t :help =
&quot;Run Viewer&quot;)<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;Print&quot; &quot;%p&quot; TeX-run-command t t :help &quot;Print=
 the file&quot;)<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;Queue&quot; &quot;%q&quot; TeX-run-background nil t :help &quot;=
View the printer queue&quot; :visible<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp;&nbsp; TeX-queue-command)<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;File&quot; &quot;%(o?)dvips %d -o %f &quot; TeX-run-command t t =
:help &quot;Generate PostScript file&quot;)<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;Index&quot; &quot;makeindex %s&quot; TeX-run-command nil t :help=
 &quot;Create index file&quot;)<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;Check&quot; &quot;lacheck %s&quot; TeX-run-compile nil (latex-mo=
de) :help<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp;&nbsp; &quot;Check LaTeX file for correctness&quot;)<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;Spell&quot; &quot;(TeX-ispell-document \&quot;\&quot;)&quot; TeX=
-run-function nil t :help &quot;Spell-check the document&quot;)<o:p></o:p><=
/p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;Clean&quot; &quot;TeX-clean&quot; TeX-run-function nil t :help &=
quot;Delete generated intermediate files&quot;)<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;Clean All&quot; &quot;(TeX-clean t)&quot; TeX-run-function nil t=
 :help<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp;&nbsp; &quot;Delete generated intermediate and output files&quot;)<o:p><=
/o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nb=
sp; (&quot;Other&quot; &quot;&quot; TeX-run-command t t :help &quot;Run an =
arbitrary command&quot;))<o:p></o:p></p>
<p class=3D"MsoNormal">)<span style=3D"font-family:&quot;Times New Roman&qu=
ot;,&quot;serif&quot;;color:black"><o:p></o:p></span></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
</div>
</body>
</html>

--_000_06DCFAE4103E2B43BC5E448DCC4334CC0172DE46MX107CL01corpem_--




Acknowledgement sent to "Bourgoin, Mario" <Mario.Bourgoin@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-auctex@HIDDEN. Full text available.
Report forwarded to bug-auctex@HIDDEN:
bug#20295; Package auctex. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 3 Mar 2024 15:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.